import request from 'src/utils/request'

// 查询卷烟信息管理列表
export function listBrand(query) {
  return request({
    url: '/qrcode/device/brand/list',
    method: 'get',
    params: query
  })
}

// 查询卷烟信息管理详细
export function getBrand(id) {
  return request({
    url: '/qrcode/device/brand/' + id,
    method: 'get'
  })
}

// 新增卷烟信息管理
export function addBrand(data) {
  return request({
    url: '/qrcode/device/brand',
    method: 'post',
    data: data
  })
}

// 修改卷烟信息管理
export function updateBrand(data) {
  return request({
    url: '/qrcode/device/brand',
    method: 'put',
    data: data
  })
}

// 删除卷烟信息管理
export function delBrand(id) {
  return request({
    url: '/qrcode/device/brand/' + id,
    method: 'delete'
  })
}


// 卷烟信息校验
export function QrCodeUtil(data){
  return request({
    url: '/qrcode/device/qrcode/util/getQrCodeAttribute',
    method: 'post',
    data:data
    // params:query
  })
}

